--- Makefile.orig	2015-08-11 12:50:41.000000000 -0400
+++ Makefile	2015-08-11 17:44:44.000000000 -0400
@@ -20,14 +20,17 @@
 
 include Makefile.cfg
 
-export CC = gcc -pthread
 export CFLAGS += -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC
-export LDLIBS += -lncursesw
+export LDLIBS += $(LD_FLAGS) -lncursesw -liconv
 
 SONAME  := libstfl.so.0
 VERSION := 0.24
 
-all: libstfl.so.$(VERSION) libstfl.a example
+SONAME  := libstfl.dylib
+SONAME0 := libstfl.0.dylib
+SONAMEV := libstfl.$(VERSION).dylib
+
+all: $(SONAMEV) libstfl.a example
 
 example: libstfl.a example.o
 
@@ -37,24 +40,24 @@
 	ar qc $@ $^
 	ranlib $@
 
-libstfl.so.$(VERSION): public.o base.o parser.o dump.o style.o binding.o iconv.o \
+$(SONAMEV): public.o base.o parser.o dump.o style.o binding.o iconv.o \
                        $(patsubst %.c,%.o,$(wildcard widgets/*.c))
-	$(CC) -shared -Wl,-soname,$(SONAME) -o $@ $(LDLIBS) $^
+	$(CC) -shared -Wl -install_name $(prefix)/lib/$@ -o $@ $(LDLIBS) $^
 
 clean:
 	rm -f libstfl.a example core core.* *.o Makefile.deps
 	rm -f widgets/*.o spl/mod_stfl.so spl/example.db
 	cd perl5 && perl Makefile.PL && make clean && rm -f Makefile.old
 	rm -f perl5/stfl_wrap.c perl5/stfl.pm perl5/build_ok
-	rm -f python/stfl.py python/stfl.pyc python/_stfl.so 
+	rm -f python/stfl.py python/stfl.pyc python/_stfl.so
 	rm -f python/stfl_wrap.c python/stfl_wrap.o
 	rm -f ruby/Makefile ruby/stfl_wrap.c ruby/stfl_wrap.o
 	rm -f ruby/stfl.so ruby/build_ok Makefile.deps_new
-	rm -f stfl.pc libstfl.so libstfl.so.*
+	rm -f stfl.pc $(SONAME) $(SONAME0) $(SONAMEV)
 
 Makefile.deps: *.c widgets/*.c *.h
-	$(CC) -I. -MM *.c > Makefile.deps_new
-	$(CC) -I. -MM widgets/*.c | sed 's,^wt_[^ ]*\.o: ,widgets/&,' >> Makefile.deps_new
+	$(CC) $(CFLAGS) $(LDLIBS) -MM *.c > Makefile.deps_new
+	$(CC) $(CFLAGS) $(LDLIBS) -MM widgets/*.c | sed 's,^wt_[^ ]*\.o: ,widgets/&,' >> Makefile.deps_new
 	mv -f Makefile.deps_new Makefile.deps
 
 install: all stfl.pc
@@ -63,8 +66,8 @@
 	install -m 644 libstfl.a $(DESTDIR)$(prefix)/$(libdir)
 	install -m 644 stfl.h $(DESTDIR)$(prefix)/include/
 	install -m 644 stfl.pc $(DESTDIR)$(prefix)/$(libdir)/pkgconfig/
-	install -m 644 libstfl.so.$(VERSION) $(DESTDIR)$(prefix)/$(libdir)
-	ln -fs libstfl.so.$(VERSION) $(DESTDIR)$(prefix)/$(libdir)/libstfl.so
+	install -m 644 $(SONAMEV) $(DESTDIR)$(prefix)/$(libdir)
+	ln -fs $(SONAMEV) $(DESTDIR)$(prefix)/$(libdir)/$(SONAME)
 
 stfl.pc: stfl.pc.in
 	sed 's,@VERSION@,$(VERSION),g' < $< | sed 's,@PREFIX@,$(prefix),g' > $@
@@ -73,18 +76,6 @@
 include spl/Makefile.snippet
 endif
 
-ifeq ($(FOUND_SWIG)$(FOUND_PERL5),11)
-include perl5/Makefile.snippet
-endif
-
-ifeq ($(FOUND_SWIG)$(FOUND_PYTHON),11)
-include python/Makefile.snippet
-endif
-
-ifeq ($(FOUND_SWIG)$(FOUND_RUBY),11)
-include ruby/Makefile.snippet
-endif
-
 .PHONY: all clean install install_spl
 
 include Makefile.deps
